- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_User;'
    name: System User
    index: 39
    customTagName: 'user'
    defaultTask: '&IDI_SequenceTask_ViewSystemUser;'
    instancesLabeledByRAMB: '&IDMB_User__get__User_Name_with_Full_Name;'
    accessModifierId: '&IDI_AccessModifier_Public;'
    attributes:
    - instance: '&IDA_UserName;'
      customTagName: 'username'
    - instance: '&IDA_PasswordHash;'
      customTagName: 'passwordHash'
    - instance: '&IDA_PasswordSalt;'
      customTagName: 'passwordSalt'
    relationships:
    - instance: '&IDR_System_Account__has__User_Preferences;'
      customTagName: 'hasUserPreferences'
    - instance: '&IDR_System_Account__for__Person;'
      customTagName: 'forPerson'
      customTagNameCreatesInstanceOf: '&IDC_Person;'
    relatedTasks:
    - instance: '&IDI_SequenceTask_ViewSystemUser;'
    - instance: '&IDI_SequenceTask_EditSystemUser;'
    - instance: '&IDI_SequenceTask_ManageSystemUserCredentials;'
  
  - class: '&IDC_UserLogin;'
    name: System Account Signon
    index: 4328

  # System Account Signon.for System User (3$12257)
  - relationship: '&IDR_User_Login__has__User;'
    index: 12257
    sourceClassId: '&IDC_UserLogin;'
    type: 'for'
    destinationClassId: '&IDC_User;'
    # siblingRelationshipId: '&IDR_User__for__User_Login;'
    singular: no

  # - relationship: '&IDR_User__for__User_Login;'
  #   index: 88
  #   sourceClassId: '&IDC_User;'
  #   type: 'for'
  #   destinationClassId: '&IDC_UserLogin;'
  #   siblingRelationshipId: '&IDR_User_Login__has__User;'
  #   singular: no
  
  - relationship: '&IDR_System_Account__for__Person;'
    index: 1249
    sourceClassId: '&IDC_User;'
    type: 'for'
    destinationClassId: '&IDC_Person;'
    siblingRelationshipId: '&IDR_Person__has__System_Account;'
    singular: yes

  - relationship: '&IDR_Person__has__System_Account;'
    index: 1250
    sourceClassId: '&IDC_Person;'
    type: 'has'
    destinationClassId: '&IDC_User;'
    siblingRelationshipId: '&IDR_System_Account__for__Person;'
    singular: yes
